﻿@model DomainModels.Entities.HumanResource.User
@using DomainModels.Entities.HumanResource

@{
    ViewBag.Title = "جزئیات کاربر";
}


<div class="row">
    <div class="col-sm-6" style="text-align:center">
        @Html.DisplayNameFor(model => model.IdentificationCardPhotoName)
        <br />
        @Html.ShowImage(Model.IdentificationCardPhotoName, Infrastructure.File.EntityName.Certificate, new { style = "max-width:400px" })
        <br /><br />
        وضعیت فعلی: @Html.ShowAcceptStatus(Model.IdentificationCardAcceptStatus)
        <br />
        <div style="width:250px;margin:0px auto">
            <br />
            @if (Model.IdentificationCardAcceptStatus == AcceptStatus.Pending || Model.IdentificationCardAcceptStatus == AcceptStatus.Declined)
            {
                <div class="form-accept-wrap">
                    @Html.ShowForm("id", Model.Id.ToString(), "تایید تصویر", "btn btn-primary", "AcceptIdentificationCardPhoto", "User", "Admin", "")
                </div>
            }

            @if (Model.IdentificationCardAcceptStatus == AcceptStatus.Pending)
            {
                <div class="form-accept-wrap">
                    @Html.ShowForm("id", Model.Id.ToString(), "رد تصویر", "btn btn-danger", "DeclineIdentificationCardPhoto", "User", "Admin", "")
                </div>
            }
        </div>
    </div>
    <div class="col-md-6" style="text-align:center">
        @Html.DisplayNameFor(model => model.FaceAndNationalCardPhotoName)
        <br />
        <img class="form-image" src="@Model.FaceAndNationalCardPhotoName" />
        <br /><br />
        وضعیت فعلی: @Html.ShowAcceptStatus(Model.FaceAndNationalCardAcceptStatus)
        <br />
        <div style="width:250px;margin:0px auto">
            <br />
            @if (Model.FaceAndNationalCardAcceptStatus == AcceptStatus.Pending || Model.FaceAndNationalCardAcceptStatus == AcceptStatus.Declined)
            {
            <div class="form-accept-wrap">
                @Html.ShowForm("id", Model.Id.ToString(), "تایید تصویر", "btn btn-primary", "AcceptFaceAndNationalCardPhoto", "User", "Admin", "")
            </div>
            }

            @if (Model.FaceAndNationalCardAcceptStatus == AcceptStatus.Pending)
            {
            <div class="form-accept-wrap">
                @Html.ShowForm("id", Model.Id.ToString(), "رد تصویر", "btn btn-danger", "DeclineFaceAndNationalCardPhoto", "User", "Admin", "")
            </div>
            }
        </div>
    </div>
</div>
<br />
<hr />
<br />


<div class="row">
    <div class="col-lg-12">

        <div class="row">
            <div class="col-lg-9  label-control">
                @Html.DisplayFor(model => model.Id)
            </div>
            <div class="col-lg-3  label-control">
                @Html.DisplayNameFor(model => model.Id)
            </div>
        </div>

        <div class="row">
            <div class="col-lg-9  label-control">
                @Html.DisplayFor(model => model.FullName)
            </div>
            <div class="col-lg-3  label-control">
                @Html.DisplayNameFor(model => model.FullName)
            </div>
        </div>

        <div class="row">
            <div class="col-lg-9  label-control">
                @Html.DisplayFor(model => model.EmailAddress)
            </div>
            <div class="col-lg-3  label-control">
                @Html.DisplayNameFor(model => model.EmailAddress)
            </div>
        </div>

        <div class="row">
            <div class="col-lg-9  label-control">
                @Html.ShowNumberWithCommaSeperator(Model.MaximumRialWithdrawalPrice) ریال
            </div>
            <div class="col-lg-3  label-control">
                @Html.DisplayNameFor(model => model.MaximumRialWithdrawalPrice)
            </div>
        </div>

        <div class="row">
            <div class="col-lg-9  label-control">
                @Model.MaximumDolorWithdrawalAmount ساتوشی
            </div>
            <div class="col-lg-3  label-control">
                @Html.DisplayNameFor(model => model.MaximumDolorWithdrawalAmount)
            </div>
        </div>

        <hr />

        <div class="row">
            <div class="col-lg-9  label-control">
                @Html.DisplayFor(model => model.Username)
            </div>
            <div class="col-lg-3  label-control">
                @Html.DisplayNameFor(model => model.Username)
            </div>
        </div>
        <div class="row">
            <div class="col-lg-9  label-control">
                @Html.ShowAcceptStatus(Model.MobileNumberAcceptStatus)
            </div>
            <div class="col-lg-3  label-control">
                @Html.DisplayNameFor(model => model.MobileNumberAcceptStatus)
            </div>
        </div>

        <div class="row">
            <div class="col-lg-9  label-control">
                @Html.DisplayFor(model => model.PhoneNumber)
            </div>
            <div class="col-lg-3  label-control">
                @Html.DisplayNameFor(model => model.PhoneNumber)
            </div>
        </div>

        <div class="row">
            <div class="col-lg-9  label-control">
                @Html.ShowAcceptStatus(Model.PhoneNumberAcceptStatus)

                @if (Model.PhoneNumberAcceptStatus != AcceptStatus.Accepted)
                {
                   <div class="form-accept-wrap">
                       @Html.ShowForm("id", Model.Id.ToString(), "تایید شماره تلفن ثابت", "btn btn-primary", "AcceptPhoneNumber", "User", "Admin", "")
                   </div>
                }
            </div>
            <div class="col-lg-3  label-control">
                @Html.DisplayNameFor(model => model.PhoneNumberAcceptStatus)
            </div>
        </div>

        <hr />

        <div class="row">
            <div class="col-lg-9  label-control">
                @Html.ShowUserAccountStatus(Model.AccountStatus)
            </div>
            <div class="col-lg-3  label-control">
                @Html.DisplayNameFor(model => model.AccountStatus)
            </div>
        </div>

        <div class="row">
            <div class="col-lg-9  label-control" style="color:#ff0000">
                @Html.DisplayFor(model => model.BanReason)
            </div>
            <div class="col-lg-3  label-control">
                @Html.DisplayNameFor(model => model.BanReason)
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <br /><br />
                @if (Model != null)
                {
                    <text>&nbsp;&nbsp;&nbsp;&nbsp;</text>
                    @Html.ActionLink("ویرایش", "Edit", new { id = Model.Id }, new { @class = "btn btn-info" })
                    <text>&nbsp;&nbsp;&nbsp;&nbsp;</text>
                    @Html.ActionLink("بازگشت به لیست", "Index", null, new { @class = "btn btn-return" })
                }
            </div>
        </div>


    </div>
</div>

<br />
<hr />
<br />



@if (Model.AccountStatus != DomainModels.Entities.Base.AccountStatus.Baned)
{
    using (Html.BeginForm("Ban", "User", FormMethod.Post))
    {
        @Html.AntiForgeryToken()
        @Html.HiddenFor(model => model.Id)

        <div class="row">
            <div class="form-group">
                <div class="col-lg-12">
                    <label>دلیل بن</label>
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-6 col-md-offset-6">
                    @Html.TextArea("BanReason", Model.BanReason, new { style = "width:100%;min-height:150px", required = "required" })
                </div>
            </div>
        </div>
        <div class="row">
            <div class="form-group">
                <div class="col-lg-12">
                    <input type="submit" value="بن کاربر" class="btn btn-info" />
                </div>
            </div>
        </div>
    }

}

@if (Model.AccountStatus != DomainModels.Entities.Base.AccountStatus.Active)
{
    <div class="row">
        <div class="col-lg-6"></div>
        <div class="col-lg-6">
            @Html.ShowForm("id", Model.Id.ToString(), "فعال سازی کاربر", "btn btn-primary", "Activate", "User", "Admin", "")
        </div>
    </div>
}